// Problem SORTING, setter's solution to the sub tasks 1, 2. Pure simulation

#include <cstdio>
#include <algorithm>
#include <vector>
using namespace std;

int n,i,ai;
vector<int>a;
long long ans;

void solve(vector<int>v){ // pure simulation of the provided pseudocode
	int sz=v.size()-1;
	if(sz<2)return ;
	int median=v[(sz+1)/2];
	vector<int>Left,Right;
	Left.clear();
	Right.clear();
	Left.push_back(0);
	Right.push_back(0);
	for(int i=1;i<=sz;i++)if(v[i]<median)Left.push_back(v[i]);else if(v[i]>median) Right.push_back(v[i]);
	solve(Left);
	solve(Right);
	ans+=sz;
}

int main(){
	scanf("%d",&n); // size of the permutation
	a.push_back(0);
	for(i=1;i<=n;i++){
		scanf("%d",&ai); // reading the permutation
		a.push_back(ai);
	}
	solve(a); // simulate QuickSort
	printf("%lld\n",ans);
	return 0;
}